let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;
export const setFloorItemApi = async (
    organization: string,
    modelUuid?: string,
    modelName?: string,
    modelfileID?: string,
    position?: Object,
    rotation?: Object,
    isLocked?: boolean,
    isVisible?: boolean,
) => {
    try {
        const body: any = { organization, modelUuid, modelName, position, rotation, modelfileID, isLocked, isVisible };

        const response = await fetch(`${url_Backend_dwinzo}/api/v2/setasset`, {
            method: "POST",
            headers: {
                "Content-Type": "application/json",
            },
            body: JSON.stringify(body),
        });

        if (!response.ok) {
            throw new Error("Failed to set or update Floor Item");
        }

        const result = await response.json();
        return result;
    } catch (error) {
        if (error instanceof Error) {
            throw new Error(error.message);
        } else {
            throw new Error("An unknown error occurred");
        }
    }
};